<?php

//get_system_timezone
if (!function_exists('get_system_timezone')) {

    function get_system_timezone()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'system_timezone')->get()->getResult();
        if (!empty($res)) {
            return $res[0]->message;
        } else {
            return 'Asia/Kolkata';
        }
    }

}

//is_category_enabled
if (!function_exists('is_category_enabled')) {

    function is_category_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'category_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}

//is_subcategory_enabled
if (!function_exists('is_subcategory_enabled')) {

    function is_subcategory_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'subcategory_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}

//is_breaking_news_enabled
if (!function_exists('is_breaking_news_enabled')) {

    function is_breaking_news_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'breaking_news_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}

//is_comments_enabled
if (!function_exists('is_comments_enabled')) {

    function is_comments_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'comments_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}

//is_live_streaming_enabled
if (!function_exists('is_live_streaming_enabled')) {

    function is_live_streaming_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'live_streaming_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}

//is_auto_news_expire_news_enabled
if (!function_exists('is_auto_news_expire_news_enabled')) {

    function is_auto_news_expire_news_enabled()
    {
        $CI = \Config\Database::connect();
        $builder = $CI->table('tbl_settings');
        $res = $builder->where('type', 'auto_delete_expire_news_mode')->get()->getResult();
        return ($res) ? $res[0]->message : 0;
    }

}
?>